Bug 1278722 - Marshalling Error when executing command through SOAP interface
Marshalling Error when executing command through SOAP interface
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Shelly McGowan
Lukáš Petrovický
: Regression
Depends On:
Blocks: 1305774
  Show dependency treegraph
 
Reported: 2015-11-06 04:37 EST by Tomas Livora
Modified: 2018-01-30 23:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1305774 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test log (6.45 KB, text/plain)
2015-11-06 04:37 EST, Tomas Livora
no flags Details

  None (edit)
Description Tomas Livora 2015-11-06 04:37:04 EST
Created attachment 1090545 [details]
test log

Description of problem:
When you try to execute StartProcessCommand with various parameters using SOAP interface, you will get JAXBException.

Version-Release number of selected component (if applicable):
6.2.0 ER5

Steps to Reproduce:
1. Execute StartProcessCommand with various parameters using SOAP.
2. See the result.

Actual results:
javax.xml.ws.soap.SOAPFaultException: Marshalling Error: class org.kie.remote.jaxb.gen.List nor any of its super class is known to this context.

Expected results:
No exception

Additional info:
It worked well on ER4. It seems that this bug might have been introduced by the following commit which deals with org.kie.remote.jaxb.gen.List:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/78b5d38f99ce172b428f114e00c8d87197bcbb9f

This is the failing test:
https://gitlab.mw.lab.eng.bos.redhat.com/bxms/brms/blob/master/test-jbpm-integration/src/test/java/org/jboss/qa/bpms/jbpm/integration/remote/process/variable/ObjectVariableTest.java#L84-105
Comment 2 Marco Rietveld 2015-11-10 04:37:22 EST
PR available: https://github.com/droolsjbpm/droolsjbpm-integration/pull/225
Comment 3 Marco Rietveld 2015-11-11 08:12:03 EST
Fixed in 6.3.x. Commits:

6.3.x:
https://github.com/droolsjbpm/droolsjbpm-integration/commit/0b4b05ca

This has been purposefully not fixed in master, because the current fix is a hack. A robuster fix (classes in kie-internal or kie-core-jaxb) will be done for master.
Comment 4 Tomas Livora 2015-11-20 05:43:20 EST
Verified on BPMS 6.2.0 CR1

Note You need to log in before you can comment on or make changes to this bug.